Skip to content

List Directory Files

client.beta.directories.files.list(stringdirectoryID, FileListParams { display_name, display_name_contains, file_id, 6 more } query?, RequestOptionsoptions?): PaginatedCursor<FileListResponse { id, directory_id, display_name, 8 more } >
GET/api/v1/beta/directories/{directory_id}/files

List all files within the specified directory with optional filtering and pagination.

ParametersExpand Collapse
directoryID: string
query: FileListParams { display_name, display_name_contains, file_id, 6 more }
display_name?: string | null
display_name_contains?: string | null
file_id?: string | null
include_deleted?: boolean
organization_id?: string | null
page_size?: number | null
page_token?: string | null
project_id?: string | null
unique_id?: string | null
ReturnsExpand Collapse
FileListResponse { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at?: string | null

Creation datetime

formatdate-time
data_source_id?: string | null

Optional data source credential associated with the file.

deleted_at?: string | null

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id?: string | null

File ID for the storage location.

metadata?: Record<string, string | number | boolean | null>

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at?: string | null

Update datetime

formatdate-time

List Directory Files

import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const fileListResponse of client.beta.directories.files.list('directory_id')) {
  console.log(fileListResponse.id);
}
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "data_source_id": "data_source_id",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "data_source_id": "data_source_id",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}